# Class FormArrayControlManager<T>

#### Type Parameters

- T extends FormDefinition

- Defined in packages/angular/forms/src/lib/form-builder.ts:37

#####
Index

### Constructors

constructor

### Properties

controlId
form

### Methods

inserted
removed

## Constructors

### constructor

- new FormArrayControlManager<T>(form, controlId): FormArrayControlManager<T>

- #### Type Parameters

  - T extends FormDefinition<any, any, any>

  #### Parameters

  - form: T
  - controlId: keyof T

  #### Returns FormArrayControlManager<T>

  - Defined in packages/angular/forms/src/lib/form-builder.ts:38

## Properties

### `Private` `Readonly` controlId

controlId: keyof T

- Defined in packages/angular/forms/src/lib/form-builder.ts:38

### `Private` `Readonly` form

form: T

- Defined in packages/angular/forms/src/lib/form-builder.ts:38

## Methods

### inserted

- inserted(index, controlOrDefinition): void

- #### Parameters

  - index: number
  - controlOrDefinition: AbstractControl<any, any> | FormDefinition<any, any, any>

  #### Returns void

  - Defined in packages/angular/forms/src/lib/form-builder.ts:41

### removed

- removed(index): void

- #### Parameters

  - index: number

  #### Returns void

  - Defined in packages/angular/forms/src/lib/form-builder.ts:55